# Uses of Class
org.snpeff.interval.Intron

Packages that use Intron
Package
Description
org.snpeff.interval
org.snpeff.snpEffect
org.snpeff.svg

## Uses of Intron in org.snpeff.interval

Methods in org.snpeff.interval that return Intron
Modifier and Type
Method
Description
`Intron`
Intron.`apply(Variant variant)`
`Intron`
Intron.`cloneShallow()`
`Intron`
Transcript.`findIntron(int pos)`
Return an intron overlapping position 'pos'
Methods in org.snpeff.interval that return types with arguments of type Intron
Modifier and Type
Method
Description
`List<Intron>`
Transcript.`introns()`
Get all introns (lazy init)
Methods in org.snpeff.interval with parameters of type Intron
Modifier and Type
Method
Description
`void`
Transcript.`add(Intron intron)`
Add an intron
Constructors in org.snpeff.interval with parameters of type Intron
Modifier
Constructor
Description
``
`SpliceSite(Intron parent, int start, int end, boolean strandMinus, String id)`
``
`SpliceSiteAcceptor(Intron parent, int start, int end, boolean strandMinus, String id)`
``
`SpliceSiteBranch(Intron parent, int start, int end, boolean strandMinus, String id)`
``
`SpliceSiteBranchU12(Intron parent, int start, int end, boolean strandMinus, String id)`
``
`SpliceSiteDonor(Intron parent, int start, int end, boolean strandMinus, String id)`
``
`SpliceSiteRegion(Intron parent, int start, int end, boolean strandMinus, String id)`

## Uses of Intron in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect that return Intron
Modifier and Type
Method
Description
`Intron`
VariantEffect.`getIntron()`
Get intron (if any)
Methods in org.snpeff.snpEffect with parameters of type Intron
Modifier and Type
Method
Description
`protected String`
HgvsDna.`posIntron(int pos, Intron intron)`
Intronic position

## Uses of Intron in org.snpeff.svg

Constructors in org.snpeff.svg with parameters of type Intron
Modifier
Constructor
Description
``
`SvgIntron(Intron intron, Svg svg)`